runtime: php81
runtime_config:
        document_root: web
service: panel
instance_class: F1
automatic_scaling:
  min_instances: 0
  max_instances: 1
handlers:
  - url: /js
    static_dir: js
  - url: /resources
    static_dir: resources
  - url: /images
    static_dir: images
  - url: /styles
    static_dir: public/styles
  - url: /(.*\.(ico$|jpg$|png$|gif$))
    static_files: \1
    upload: (.*\.(ico$|jpg$|png$|gif$))
  - url: .*
    script: index.php
    secure: always
env_variables:
  GTC_DB_PANEL_HOST: _GTC_DB_PANEL_HOST
  GTC_DB_PANEL_USER: _GTC_DB_PANEL_USER
  GTC_DB_PANEL_PASS: _GTC_DB_PANEL_PASS
  GTC_DB_PANEL_NAME: _GTC_DB_PANEL_NAME
  GTC_DB_PANEL_PORT: _GTC_DB_PANEL_PORT
  GTC_DB_PANEL_SOCKET: _GTC_DB_PANEL_SOCKET
  GTC_SMTP_DEFAULT_HOST: _GTC_SMTP_DEFAULT_HOST
  GTC_SMTP_DEFAULT_PORT: _GTC_SMTP_DEFAULT_PORT
  GTC_SMTP_DEFAULT_USERNAME: _GTC_SMTP_DEFAULT_USERNAME
  GTC_SMTP_DEFAULT_PASSWORD: _GTC_SMTP_DEFAULT_PASSWORD